RubyGems Navigation menu

RubyInline 3.12.6

Inline allows you to write foreign code within your ruby code. It automatically determines if the code in question has changed and builds it only when necessary. The extensions are then automatically loaded into the class/module that defines it. You can even write extra builders that will allow you to write inlined code in any language. Use Inline::C as a template and look at Module#inline for the required API.

Versions:

  1. 3.12.6 - May 23, 2022 (30.5 KB)
  2. 3.12.5 - October 09, 2019 (30.5 KB)
  3. 3.12.4 - April 15, 2015 (30.5 KB)
  4. 3.12.3 - April 29, 2014 (30.5 KB)
  5. 3.12.2 - April 18, 2013 (28.5 KB)
Show all versions (39 total)

Runtime Dependencies (1):

  • ZenTest ~> 4.3
  • Development Dependencies (2):

  • hoe ~> 3.23
  • rdoc >= 4.0, < 7
  • Requirements:

    A POSIX environment and a compiler for your language.

    Owners:

    Pushed by:

    Authors:

    • Ryan Davis

    SHA 256 checksum:

    37f57ded6116f83f1c53e18dcb10e0780a60ea1d97a6ef39cb5a7e3c372602ff

    Signature validity period:

    December 23, 2021 - December 23, 2022

    Total downloads 5,405,479

    For this version 54,666

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 0

    Links: